<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleBusinessAPI",
  "identifier" : "/documentation/AppleBusinessAPI/Create-a-WebhookPing",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:post:v1-webhookPings"
  },
  "title" : "Create a WebhookPing"
}
-->

# Create a WebhookPing

Send a ping event to a webhook to test that it receives notifications.

## Overview

### Example

**Request:**

```
curl -X POST "https://api-business.apple.com/v1/webhookPings" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "webhookPings",
        "relationships": {
          "webhook": {
            "data": {
              "type": "webhooks",
              "id": "webhook-12345"
            }
          }
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "webhookPings",
    "id": "ping-13579"
  },
  "links": {
    "self": "https://api-business.apple.com/v1/webhookPings/ping-13579"
  }
}
```

## Topics

### Responses

[`object WebhookPingResponse`](/documentation/AppleBusinessAPI/WebhookPingResponse)

A response that contains information about a webhook ping resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)